package com.bocloud.cmp.model;

import java.util.List;

public class AlarmMessage {
    private Long alarmId;
    private String subject;
    private String content;
    private List<Long> userIds;
    private String level;

    public AlarmMessage() {
    }

    public AlarmMessage(Long alarmId, String subject, String content, List<Long> userIds, String level) {
        this.alarmId = alarmId;
        this.subject = subject;
        this.content = content;
        this.userIds = userIds;
        this.level = level;
    }

    /**
     * @return the alarmId
     */
    public Long getAlarmId() {
        return alarmId;
    }

    /**
     * @param alarmId the alarmId to set
     */
    public void setAlarmId(Long alarmId) {
        this.alarmId = alarmId;
    }

    /**
     * @return the level
     */
    public String getLevel() {
        return level;
    }

    /**
     * @param level the level to set
     */
    public void setLevel(String level) {
        this.level = level;
    }

    /**
     * @return the subject
     */
    public String getSubject() {
        return subject;
    }

    /**
     * @param subject the subject to set
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    /**
     * @return the content
     */
    public String getContent() {
        return content;
    }

    /**
     * @param content the content to set
     */
    public void setContent(String content) {
        this.content = content;
    }

    /**
     * @return the userIds
     */
    public List<Long> getUserIds() {
        return userIds;
    }

    /**
     * @param userIds the userIds to set
     */
    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }

    @Override
    public String toString() {
        return "AlarmMessage [alarmId=" + alarmId + ", subject=" + subject + ", content=" + content + ", userIds="
            + userIds + ", level=" + level + "]";
    }
}
